Package com.io7m.coffeepick.repository.spi

# Class RuntimeRepositoryProviderRegistryEvent

java.lang.Object
com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderRegistryEvent

All Implemented Interfaces:
  `RuntimeRepositoryProviderRegistryEventType`

    public final class RuntimeRepositoryProviderRegistryEvent
    extends java.lang.Object
    implements RuntimeRepositoryProviderRegistryEventType

The repository registry changed.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `RuntimeRepositoryProviderRegistryEvent.Builder` | Builds instances of type `RuntimeRepositoryProviderRegistryEvent`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderRegistryEventType

  `RuntimeRepositoryProviderRegistryEventType.Change`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static RuntimeRepositoryProviderRegistryEvent.Builder` | `builder()` | Creates a builder for `RuntimeRepositoryProviderRegistryEvent`.
  `RuntimeRepositoryProviderRegistryEventType.Change` | `change()` |
  `static RuntimeRepositoryProviderRegistryEvent` | `copyOf​(RuntimeRepositoryProviderRegistryEventType instance)` | Creates an immutable copy of a `RuntimeRepositoryProviderRegistryEventType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `RuntimeRepositoryProviderRegistryEvent` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `change`, `repositoryProvider`.
  `static RuntimeRepositoryProviderRegistryEvent` | `of​(RuntimeRepositoryProviderRegistryEventType.Change change, RuntimeRepositoryProviderType repositoryProvider)` | Construct a new immutable `RuntimeRepositoryProviderRegistryEvent` instance.
  `RuntimeRepositoryProviderType` | `repositoryProvider()` |
  `java.lang.String` | `toString()` | Prints the immutable value `RuntimeRepositoryProviderRegistryEvent` with attribute values.
  `RuntimeRepositoryProviderRegistryEvent` | `withChange​(RuntimeRepositoryProviderRegistryEventType.Change value)` | Copy the current immutable object by setting a value for the `change` attribute.
  `RuntimeRepositoryProviderRegistryEvent` | `withRepositoryProvider​(RuntimeRepositoryProviderType value)` | Copy the current immutable object by setting a value for the `repositoryProvider` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### change

    public RuntimeRepositoryProviderRegistryEventType.Change change()
    Specified by:
      `change` in interface `RuntimeRepositoryProviderRegistryEventType`
    Returns:
      The type of change

  - ### repositoryProvider

    public RuntimeRepositoryProviderType repositoryProvider()
    Specified by:
      `repositoryProvider` in interface `RuntimeRepositoryProviderRegistryEventType`
    Returns:
      The repository provider

  - ### withChange

    public final RuntimeRepositoryProviderRegistryEvent withChange​(RuntimeRepositoryProviderRegistryEventType.Change value)
    Copy the current immutable object by setting a value for the `change` attribute. A value equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for change
    Returns:
      A modified copy of the `this` object

  - ### withRepositoryProvider

    public final RuntimeRepositoryProviderRegistryEvent withRepositoryProvider​(RuntimeRepositoryProviderType value)
    Copy the current immutable object by setting a value for the `repositoryProvider` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for repositoryProvider
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `RuntimeRepositoryProviderRegistryEvent` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `change`, `repositoryProvider`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `RuntimeRepositoryProviderRegistryEvent` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static RuntimeRepositoryProviderRegistryEvent of​(RuntimeRepositoryProviderRegistryEventType.Change change, RuntimeRepositoryProviderType repositoryProvider)
    Construct a new immutable `RuntimeRepositoryProviderRegistryEvent` instance.
    Parameters:
      `change` - The value for the `change` attribute
      `repositoryProvider` - The value for the `repositoryProvider` attribute
    Returns:
      An immutable RuntimeRepositoryProviderRegistryEvent instance

  - ### copyOf

    public static RuntimeRepositoryProviderRegistryEvent copyOf​(RuntimeRepositoryProviderRegistryEventType instance)
    Creates an immutable copy of a `RuntimeRepositoryProviderRegistryEventType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable RuntimeRepositoryProviderRegistryEvent instance

  - ### builder

    public static RuntimeRepositoryProviderRegistryEvent.Builder builder()
    Creates a builder for `RuntimeRepositoryProviderRegistryEvent`.

         RuntimeRepositoryProviderRegistryEvent.builder()
            .setChange(com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderRegistryEventType.Change) // required change
            .setRepositoryProvider(com.io7m.coffeepick.repository.spi.RuntimeRepositoryProviderType) // required repositoryProvider
            .build();

    Returns:
      A new RuntimeRepositoryProviderRegistryEvent builder